콘텐츠로 건너뛰기

FLUX.3 Klein

통합

모델 id blackforestlabs/flux-3/klein/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/klein/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $0.009 9 API 크레딧 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기
Black Forest Labs 텍스트를 이미지로 #image-generation#text-to-image#typography#graphic-design

네이티브 4K 크기와 선택적 바운딩 박스 레이아웃 제어를 지원하며 요청당 최대 4개의 이미지를 생성하는 텍스트-이미지 모델

Black Forest Labs · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

주제, 프레이밍, 조명, 배경을 자세히 설명하는 이미지 생성 지침입니다. 모델 학습에 사용된 자세한 캡션과 일치해야 합니다.

image_size 기본값 square_hd

256~4096픽셀 범위에서 출력 너비와 높이를 각각 설정하며 네이티브 4K 생성을 지원합니다.

num_images 기본값 1

생성할 이미지 수입니다.

고급 output_format · seed · enable_prompt_expansion · enable_safety_checker · bounding_boxes
output_format 기본값 png

결과 이미지의 파일 형식입니다.

재현 가능한 이미지 생성을 위한 시드입니다. 모델 버전이 동일하면 동일한 프롬프트와 시드로 동일한 이미지가 생성됩니다.

설명된 각 객체를 할당된 상자 안에 배치하는 선택적 상자 레이아웃입니다. 예를 들어 `A red fox <fox> sits under a red umbrella <umbrella>`와 같이 프롬프트 레이블로 상자를 식별합니다. 좌표는 왼쪽 위 원점 (0, 0)에서 측정한 이미지 크기 비율로 상자 가장자리를 표현합니다.

POST /run/blackforestlabs/flux-3/klein/text-to-image?wait=20 견적 → $0.009
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/klein/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

FLUX.3 Klein 정보

상세한 텍스트 `prompt`에서 이미지를 생성합니다. `image_size`의 각 변은 256~4096픽셀이며 호출당 1~4개의 이미지를 요청할 수 있습니다. 최대 32개의 `bounding_boxes`로 프레임 내 지정된 위치에 이름이 있는 객체를 배치할 수 있습니다. 출력은 png, jpeg 또는 webp이며 프롬프트 확장을 켜거나 끌 수 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
주제, 프레이밍, 조명, 배경을 자세히 설명하는 이미지 생성 지침입니다. 모델 학습에 사용된 자세한 캡션과 일치해야 합니다.
enable_prompt_expansion선택 사항
유형boolean
기본값true
생성 전에 프롬프트를 자세한 캡션으로 확장하는 옵션입니다. true이면 활성화됩니다. 편집 시 캡션은 참조 이미지에 기반합니다.
seed선택 사항
유형integer | null
재현 가능한 이미지 생성을 위한 시드입니다. 모델 버전이 동일하면 동일한 프롬프트와 시드로 동일한 이미지가 생성됩니다.
num_images선택 사항 num_outputs
유형integer
기본값1
1 – 4
생성할 이미지 수입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사기 활성화입니다. true는 검사를 활성화합니다.
output_format선택 사항
유형enum
기본값png
jpegpngwebp
결과 이미지의 파일 형식입니다.
image_size선택 사항
유형object
기본값square_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
256~4096픽셀 범위에서 출력 너비와 높이를 각각 설정하며 네이티브 4K 생성을 지원합니다.
bounding_boxes선택 사항
유형object[]
≤ 32개 항목
설명된 각 객체를 할당된 상자 안에 배치하는 선택적 상자 레이아웃입니다. 예를 들어 `A red fox <fox> sits under a red umbrella <umbrella>`와 같이 프롬프트 레이블로 상자를 식별합니다. 좌표는 왼쪽 위 원점 (0, 0)에서 측정한 이미지 크기 비율로 상자 가장자리를 표현합니다.
bounding_boxes[].label선택 사항
유형string | null
≤ 64 characters
상자의 간단한 객체 레이블입니다(예: `fox`). 기본값은 `obj_<n>`입니다. 상자와 단어를 연결하려면 프롬프트에 `<fox>`를 포함하세요. 프롬프트에서 언급하지 않은 상자는 장면에 추가됩니다.
bounding_boxes[].description필수
유형string
≤ 500 characters
외형을 포함하여 상자 안에 렌더링할 객체입니다.
bounding_boxes[].box필수
유형object
출력 이미지 내 객체 배치입니다.
bounding_boxes[].box.x_min필수
유형number
0 – 1
이미지 너비를 기준으로 표현한 왼쪽 경계이며 범위는 0~1입니다.
bounding_boxes[].box.y_min필수
유형number
0 – 1
이미지 높이를 기준으로 표현한 위쪽 경계이며 범위는 0~1입니다.
bounding_boxes[].box.x_max필수
유형number
0 – 1
이미지 너비를 기준으로 표현한 오른쪽 경계이며 범위는 0~1입니다.
bounding_boxes[].box.y_max필수
유형number
0 – 1
이미지 높이를 기준으로 표현한 아래쪽 경계이며 범위는 0~1입니다.
필수 표준 이름, 사용 가능

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/klein/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 9,
    "usd": "0.009",
    "charged": 9,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height}모델이 생성한 이미지입니다.
timings
object생성 프로세스의 시간 정보입니다.
seed
integer첫 번째 이미지의 생성 시드입니다.
has_nsfw_concepts
array of boolean생성된 이미지에 NSFW 개념이 나타나는지 나타냅니다.
prompt
string이미지 생성에 사용되는 프롬프트입니다.

더 많은 모델: 텍스트를 이미지로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/blackforestlabs/flux-3/klein/text-to-image.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt